GroundTruthProblem Class Reference
Perfusion Analysis

a class for the evaluation of a pseudo ground truth of a perfusion series More...

`#include <mia/2d/groundtruthproblem.hh>`

Inheritance diagram for GroundTruthProblem:
[legend]
Collaboration diagram for GroundTruthProblem:
[legend]

## Public Member Functions

| GroundTruthProblem (double a, double b, const C2DBounds &slice_size, size_t nframes, const CDoubleVector &left_side, const CCorrelationEvaluator::result_type &corr)
void | set_alpha_beta (double a, double b)
Public Member Functions inherited from CMinimizer::Problem
void | df (const CDoubleVector &x, CDoubleVector &g)
void | df (const std::vector< double > &x, std::vector< double > &g)
void | df (size_t n, const double *x, double *g)
double | f (const CDoubleVector &x)
double | f (const std::vector< double > &x)
double | f (size_t n, const double *x)
double | fdf (const CDoubleVector &x, CDoubleVector &g)
double | fdf (const std::vector< double > &x, std::vector< double > &g)
double | fdf (size_t n, const double *x, double *g)
size_t | size () const
virtual | ~Problem ()
Public Member Functions inherited from CPropertyFlagHolder
void | add (const char *property)
Set | get_missing_properties (const CPropertyFlagHolder &testset) const
bool | has (const char *property) const
bool | has_all_in (const CPropertyFlagHolder &testset) const
virtual | ~CPropertyFlagHolder ()

## Protected Member Functions

const std::vector< double > & | get_spacial_gradient () const
const std::vector< double > & | get_time_derivative () const

## Additional Inherited Members

Public Types inherited from CPropertyFlagHolder
typedef std::set< const char * > | Set
| define the type of the set of flags

## Detailed Description

a class for the evaluation of a pseudo ground truth of a perfusion series

This class implements the optimization problem required for Ground Thruth Estimation as described in Chao Li and Ying Sun, Nonrigid Registration of Myocardial Perfusion MRI Using Pseudo Ground Truth, In Proc. Medical Image Computing and Computer-Assisted Intervention – MICCAI 2009, 165-172, 2009 For its use see the class C2DGroundTruthEvaluator.

Definition at line 42 of file groundtruthproblem.hh.

## Constructor & Destructor Documentation

## GroundTruthProblem()

GroundTruthProblem::GroundTruthProblem | ( | double | a,
|  | double | b,
|  | const C2DBounds & | slice_size,
|  | size_t | nframes,
|  | const CDoubleVector & | left_side,
|  | const CCorrelationEvaluator::result_type & | corr )

Create the ground thruth estimator with the given parameters (see the paper for details on \(\alpha\) and \(\beta\))

Parameters

  a | parameter \(\alpha\)
  b | parameter \(\beta\)
  slice_size | 2D image size of the series images,
  nframes | number of frames in the perfusion series
  left_side |
  corr |

## Member Function Documentation

## get_spacial_gradient()

const std::vector< double > & GroundTruthProblem::get_spacial_gradient | ( |  | ) | const

protected

Returns
  a reference to the spacial gradient

## get_time_derivative()

const std::vector< double > & GroundTruthProblem::get_time_derivative | ( |  | ) | const

protected

Returns
  a reference to the temporal gradient

## set_alpha_beta()

void GroundTruthProblem::set_alpha_beta | ( | double | a,
|  | double | b )

Set the parametes \(\alpha\) and \(\beta\)

The documentation for this class was generated from the following file:

- groundtruthproblem.hh